<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC
@author		juanfelipe.garcia

                testRealizarControlCalidad
    
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                template="/templates/generalCU.xhtml"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Control de calidad de depuración::.
    </ui:define>

    <ui:define name="content">

        <ui:include src="/conservacion/depuracion/prepararInformacionDocumentos.xhtml">

        </ui:include>

        <p:dialog header="Detalle de la solicitud"
                  widgetVar="detalleSolicitudEjecutarWV" modal="true"
                  appendToBody="true" resizable="true" position="center" height="480"
                  dynamic="true" width="960">
            <ui:include src="/conservacion/ejecucion/detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{revisarPrepararInfDoc}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{revisarPrepararInfDoc.solicitudSeleccionada}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle del trámite" dynamic="true"
                  widgetVar="detalleTramiteEjecutarWV" modal="false" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include
                src="/conservacion/ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{revisarPrepararInfDoc}" />
                <ui:param name="currentDetallePredioWV" value="detallesPredioWV" />
            </ui:include>
        </p:dialog>


        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />

        <predio:detallesPredioCC id="dpCC" thisWVName="detallePredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 thisIdPlusColon=":dpCC" />


        <misc:visualizadorMemorandosCC 
            id="viewFichaPredialDigital" thisWVName="viewFichaPredialDigitalWV"
            nombreDialogo="Ficha predial digital"
            urlDocumento="#{revisarPrepararInfDoc.reporteFichaPredialDigital.urlWebReporte}"
            fileContent="#{revisarPrepararInfDoc.reporteFichaPredialDigital.streamedContentReporte}"
            documentoGenerado="#{revisarPrepararInfDoc.reporteFichaPredialDigital ne null}"
            radicarButtonVisible="false" />

        <p:dialog header="Carta catastral urbana" id="viewCartaCatastralUrbana"
                  widgetVar="viewCartaCatastralUrbanaWV" appendToBody="true" modal="true"
                  width="760" height="610">
            <h:form id="vistaCartaCatastralForm">

                <h:panelGrid >
                    <h:graphicImage value="#{revisarPrepararInfDoc.reporteCartaCatastralUrbana.urlWebReporte}"
                                    width="750" height="600" />
                </h:panelGrid>
            </h:form>
        </p:dialog>

        <p:dialog modal="true" appendToBody="true" width="400"
                  showEffect="explode" hideEffect="explode"
                  header="Confirmación" resizable="false"
                  widgetVar="avanzarConfirmationWV">

            <h:form>
                <h:panelGrid columns="1">
                    <p:outputPanel style="text-align: left" layout="block">
                        <p:graphicImage value="/images/info-icon.jpg" width="36" height="36" />
                        <h:outputText value="Recuerde que debe descargar la información de documentos y/o capas geográficas antes de avanzar el proceso porque no existe otra opción para realizar esta tarea" />
                    </p:outputPanel>

                    <p:spacer height="13" width="0" />
                    <p:outputPanel style="text-align: left" layout="block">

                        <p:spacer height="0" width="40" />
                        <p:commandButton value="Sí"
                                         update=":revPrepInfDocForm"
                                         action="#{revisarPrepararInfDoc.confirmAction}"
                                         onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();avanzarConfirmationWV.hide();"
                                         ajax="true" icon="ui-icon-check" />
                        <p:spacer width="5" />
                        <p:commandButton value="No"
                                         onclick="avanzarConfirmationWV.hide()" type="button"
                                         onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                                         icon="ui-icon-close" />
                    </p:outputPanel>
                </h:panelGrid>
            </h:form>
        </p:dialog>

        <p:dialog header="error" dynamic="true"
                  widgetVar="noDesktopWV" 
                  />
    </ui:define>
</ui:composition>
